=== debian/changelog ===
anorack (0.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #893993)

 -- Georg Faerber <georg@riseup.net>  Wed, 17 Oct 2018 15:29:57 +0000
