=== debian/control ===
Source: anorack
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Georg Faerber <georg@riseup.net>,
Build-Depends: debhelper (>= 11~),
               dh-python,
               espeak-ng,
               python3,
               python3-docutils,
               python3-nose,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/anorack.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/anorack
Homepage: https://jwilk.net/software/anorack
Rules-Requires-Root: no

Package: anorack
Architecture: all
Depends: espeak-ng,
         python3,
         ${misc:Depends},
         ${python3:Depends},
Description: specialized spell-checker that finds incorrect indefinite articles
 The English language has two indefinite articles:
 .
 - a: used before words that begin with a consonant sound (e.g., a program, a
   host, a user);
 .
 - an: used before words that begin with a vowel sound (e.g., an example, an
   hour, an undefined variable).
 .
 anorack is a specialized spell-checker that finds incorrect usage of these
 articles.
