=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/jwilk/anorack/releases \
.*/anorack-(\d\S*)\.tar\.gz
