## anorack 0.2.7

=== Makefile ===
--- 
+++ 
@@ -19,38 +19,44 @@
 # SOFTWARE.
 
 PYTHON = python3
-INSTALL = install
 
 PREFIX = /usr/local
 DESTDIR =
 
-exe = anorack
-
 bindir = $(PREFIX)/bin
-basedir = $(PREFIX)/share/$(exe)
+basedir = $(PREFIX)/share/anorack
 mandir = $(PREFIX)/share/man
 
 .PHONY: all
 all: ;
 
 .PHONY: install
-install:
-	# binary:
-	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
+install: anorack
+	$(PYTHON) - < lib/__init__.py  # Python version check
+	# executable:
+	install -d $(DESTDIR)$(bindir)
 	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
 	sed \
 		-e "1 s@^#!.*@#!$$python_exe@" \
 		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
-		$(exe) > $(DESTDIR)$(bindir)/$(exe)
-	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
-	# library + data:
-	( find lib data -type f ! -name '*.py[co]' ) \
-	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
-ifeq "$(wildcard doc/$(exe).1)" ""
+		$(<) > $(<).tmp
+	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
+	rm $(<).tmp
+	# data:
+	install -d $(DESTDIR)$(basedir)/data
+	install -p -m644 data/* $(DESTDIR)$(basedir)/data/
+	# library:
+	install -d $(DESTDIR)$(basedir)/lib
+	install -p -m644 lib/*.py $(DESTDIR)$(basedir)/lib/
+ifeq "$(DESTDIR)" ""
+	umask 022 && $(PYTHON) -m compileall -q $(basedir)/lib/
+endif
+ifeq "$(wildcard doc/*.1)" ""
 	# run "$(MAKE) -C doc" to build the manpage
 else
 	# manual page:
-	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+	install -d $(DESTDIR)$(mandir)/man1
+	install -p -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/
 endif
 
 .PHONY: test
@@ -61,5 +67,9 @@
 clean:
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
+	rm -f .coverage
+	rm -f *.tmp
+
+.error = GNU make is required
 
 # vim:ts=4 sts=4 sw=4 noet
