=== debian/changelog ===
anorack (0.2.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:39:00 +0000

anorack (0.2.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 16:54:29 -0400

anorack (0.2.7-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * New upstream version 0.2.7 (Closes: #961250).
  * d/gbp.conf: set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standard-Version to 4.5.0.

  [ Tristan Seligmann ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 12:21:02 +0200
