=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: anorack
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Georg Faerber <georg@riseup.net>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                espeak-ng,
                python3,
                python3-docutils,
                python3-nose,
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/anorack.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/anorack
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/anorack.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/anorack
 Homepage: https://jwilk.net/software/anorack
 Rules-Requires-Root: no
