=== debian/tests/control ===
Test-Command: anorack --version && python3 -c 'import nose; nose.main()' --verbose
Depends: @, python3-nose
Restrictions: allow-stderr
