## anorack 0.2.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2021 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -61,7 +61,7 @@
 
 .PHONY: test
 test:
-	$(PYTHON) -c 'import nose; nose.main()' --verbose
+	$(PYTHON) -bb -m unittest discover --verbose
 
 .PHONY: clean
 clean:
