=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2014-2017 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2014-2019 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -20,7 +20,9 @@
 
 export LC_ALL=C
 
-rst2man = $(or $(shell which rst2man),rst2man.py)
+rst2man = $(notdir $(shell command -v rst2man || echo rst2man.py))
+rst2xml = $(notdir $(shell command -v rst2xml || echo rst2xml.py))
+
 exe = anorack
 
 .PHONY: all
@@ -29,10 +31,24 @@
 $(exe).1: manpage.rst
 	$(rst2man) --input-encoding=UTF-8 < $(<) > $(@).tmp
 	perl -pi -e '/^[.]BI\b/ and s/\\fP/\\fR/g' $(@).tmp  # work-around for https://bugs.debian.org/806601
+	perl -ni -e 'print unless /^[.]\\" vim:/' $(@).tmp
 	mv $(@).tmp $(@)
+
+.PHONY: check
+check: check-changelog check-rst
+
+.PHONY: check-changelog
+check-changelog: changelog
+	dpkg-parsechangelog -l$(<) --all 2>&1 >/dev/null | { ! grep .; }
+
+.PHONY: check-rst
+check-rst:
+	ls README *.rst | xargs -t -I{} $(rst2xml) --input-encoding=UTF-8 --strict {} /dev/null
 
 .PHONY: clean
 clean:
 	rm -f $(exe).1 *.tmp
 
+.error = GNU make is required
+
 # vim:ts=4 sts=4 sw=4 noet
