=== debian/changelog ===
anorack (0.2.8-1) unstable; urgency=medium

  * Team upload.
  * Drop python3-nose dependency (Closes: #1018308)

 -- joao-pedro <joaopedrobsb3@gmail.com>  Mon, 29 Apr 2024 17:21:36 -0300

anorack (0.2.8-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version.
  * Update watch file. Closes: #1043468.
  * Fix dependency on espeak. Closes: #1027406.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Feb 2024 04:08:12 +0100
