=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                espeak-ng,
                python3,
                python3-docutils,
-               python3-nose,
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/anorack.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/anorack
@@ -17,7 +16,7 @@
 
 Package: anorack
 Architecture: all
-Depends: espeak-ng,
+Depends: libespeak-ng1 | libespeak1,
          python3,
          ${misc:Depends},
          ${python3:Depends},
