=== debian/tests/control ===
Test-Command: anorack --version
Depends: @
Restrictions: allow-stderr, superficial
